ppp_2.4.3-20041231+1(hppa/unstable): FTBFS: missing build-depends

Bug #13315 reported by Debian Bug Importer on 2005-02-27
4
Affects Status Importance Assigned to Milestone
ppp (Debian)
Fix Released
Unknown
ppp (Ubuntu)
High
LaMont Jones

Bug Description

Automatically imported from Debian bug report #297105 http://bugs.debian.org/297105

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #297105 http://bugs.debian.org/297105

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 26 Feb 2005 22:14:33 -0700
From: <email address hidden>
To: <email address hidden>
Subject: ppp_2.4.3-20041231+1(hppa/unstable): FTBFS: missing build-depends

Package: ppp
Version: 2.4.3-20041231+1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of ppp_2.4.3-20041231+1 on sarti by sbuild/hppa 1.170.5
> Build started at 20050226-1530

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>> 4.1.17), libpcap0.7-dev, libpam0g-dev

[...]

> make[3]: Leaving directory `/build/buildd/ppp-2.4.3/build-tree/ppp-2.4.3/pppstats'
> cd pppdump; /usr/bin/make -w all
> make[3]: Entering directory `/build/buildd/ppp-2.4.3/build-tree/ppp-2.4.3/pppdump'
> cc -I../include/net -c -o pppdump.o pppdump.c
> cc -I../include/net -c -o bsd-comp.o bsd-comp.c
> cc -I../include/net -O2 -Wall -o pppdump pppdump.o bsd-comp.o -lz
> /usr/bin/ld: cannot find -lz
> collect2: ld returned 1 exit status
> make[3]: *** [pppdump] Error 1
> make[3]: Leaving directory `/build/buildd/ppp-2.4.3/build-tree/ppp-2.4.3/pppdump'
> make[2]: *** [all] Error 2
> make[2]: Leaving directory `/build/buildd/ppp-2.4.3/build-tree/ppp-2.4.3'
> make[1]: *** [source.command] Error 2
> make[1]: Leaving directory `/build/buildd/ppp-2.4.3'
> make: *** [debian/stampdir/build] Error 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=hppa&pkg=ppp&ver=2.4.3-20041231+1

tags 297105 sid
thanks

On Feb 27, <email address hidden> wrote:

> There was an error while trying to autobuild your package:
And a fixed package had already been uploaded.

--
ciao,
Marco

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 27 Feb 2005 01:39:28 -0800
From: Steve Langasek <email address hidden>
To: <email address hidden>
Subject: newly broken in sid

tags 297105 sid
thanks

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 27 Feb 2005 11:11:13 +0100
From: <email address hidden> (Marco d'Itri)
To: <email address hidden>, <email address hidden>
Subject: Re: Bug#297105: ppp_2.4.3-20041231+1(hppa/unstable): FTBFS: missing build-depends

--uAKRQypu60I7Lcqm
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Feb 27, <email address hidden> wrote:

> There was an error while trying to autobuild your package:
And a fixed package had already been uploaded.

--=20
ciao,
Marco

--uAKRQypu60I7Lcqm
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCIZzBFGfw2OHuP7ERAnr0AJ0QaX1upsvMZW5NqddyiSPlVNC3NACgpVlW
MYoRFE9lJjljDX9Uipx5kWY=
=Ln9Z
-----END PGP SIGNATURE-----

--uAKRQypu60I7Lcqm--

LaMont Jones (lamont) wrote :

Introduced and fixed after Upstream version freeze.

Changed in ppp:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.